Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.calendar
Class BusinessCalendar

    java.lang.Object
      org.jbpm.calendar.BusinessCalendar

All Implemented Interfaces:
  java.io.Serializable

    public class BusinessCalendar

extends java.lang.Object
implements java.io.Serializable

a calendar that knows about business hours.

See Also:
  Serialized Form

Constructor Summary
`BusinessCalendar()`
`BusinessCalendar(java.util.Properties calendarProperties)`

Method Summary
`java.util.Date` | `add(java.util.Date date, Duration duration)`
`Day` | `findDay(java.util.Date date)`
`DayPart` | `findNextDayPart(java.util.Date date)`
`java.util.Date` | `findStartOfNextDay(java.util.Date date)`
`static java.util.Properties` | `getBusinessCalendarProperties()`
`static java.util.Calendar` | `getCalendar()`
`boolean` | `isHoliday(java.util.Date date)`
`boolean` | `isInBusinessHours(java.util.Date date)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessCalendar

    public BusinessCalendar()

### BusinessCalendar

    public BusinessCalendar(java.util.Properties calendarProperties)

Method Detail

### getBusinessCalendarProperties

    public static java.util.Properties getBusinessCalendarProperties()

### add

    public java.util.Date add(java.util.Date date,
                              Duration duration)

### findStartOfNextDay

    public java.util.Date findStartOfNextDay(java.util.Date date)

### findDay

    public Day findDay(java.util.Date date)

### isHoliday

    public boolean isHoliday(java.util.Date date)

### findNextDayPart

    public DayPart findNextDayPart(java.util.Date date)

### isInBusinessHours

    public boolean isInBusinessHours(java.util.Date date)

### getCalendar

    public static java.util.Calendar getCalendar()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD